
QGIS Application - Bug report #2706

QGIS crashes after opening a spatialite layer

2010-05-12 07:47 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12766

Description

The load of a spatialite layer leeds to crash QGIS:

1. Connect to a spatialite DB: all Layers of the DB are shown up

 2. Select one layer and click "add" 

 3. QGIS crashes

I've attached the gdb backtrace output.

History

#1 - 2010-05-12 02:11 PM - Jürgen Fischer

not reproducable here.

Is your qgis built with WITH_INTERNAL_SPATIALITE?

The backtrace suggests that you Qt is built with static sqlite3:

#3906  0x0018a055 in openDatabase (zFilename=0x93c06e0 "/home_nas/sogis/barpadue/temp/osm_liechtenstein.sqlite", ppDb=0xbfffc75c,

flags=2, zVfs=0x0) at ../3rdparty/sqlite/sqlite3.c:61350

Perhaps that interferes with the internal spatialite (that includes sqlite3) or dynamically linked spatialite/sqlite3.

#2 - 2010-05-18 01:51 AM - Giovanni Manghi

not reproducable here too, using qgis trunk under both ubuntu linux and windows 7.

#3 - 2010-05-25 11:04 AM - Alex Mandel

If we can verify it, then it's likely high priority to fix. User feedback required.

#4 - 2010-06-05 06:50 AM - Paolo Cavallini

Not confirmed here.
#5 - 2010-06-05 06:55 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

closing for lack of feedback, reopen if necessary.

Files

spatialiteCrashBt.txt 4.5 KB 2010-05-12 Horst Düster
